{% load bootstrap4 %}
{% load static %}
{% load i18n %}
{% load seawatch_registration_tags %}
<nav class="navbar navbar-dark navbar-expand-lg">
  <div class="container">
    <a class="navbar-brand" href="{% url 'index' %}">
      <img src="{% static 'seawatch_registration/images/logo.png' %}"
           width="75"
           height="75"
           class="d-inline-block align-top mr-2"
           alt="">
      <!--Sea Watch-->
    </a>
    <button class="navbar-toggler"
            type="button"
            data-toggle="collapse"
            data-target="#navbarNav"
            aria-controls="navbarNav"
            aria-expanded="false"
            aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNav">
      <ul class="nav navbar-nav ml-auto">
        <li class="nav-item">
          <a class="nav-link {% if request|has_current_url_name:'application_list' %}active{% endif %}"
             href="{% url 'application_list' %}">{% trans "Applications" %}</a>
        </li>
        <li class="nav-item">
          <a class="nav-link {% if request|has_current_url_name:'volunteer_list' %}active{% endif %}"
             href="{% url 'volunteer_list' %}">{% trans "Volunteers" %}</a>
        </li>
        {% if features.operation_planning %}
          <li class="nav-item">
            <a class="nav-link" href="{% url 'operation_list' %}">{% trans "Operations" %}</a>
          </li>
        {% endif %}
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle"
             href="#"
             id="navbarDropdown"
             role="button"
             data-toggle="dropdown"
             aria-haspopup="true"
             aria-expanded="false">
            {% if request.user %}
              {% if request.user.first_name and request.user.last_name %}
                {{ request.user.first_name }} {{ request.user.last_name }}
              {% else %}
                {{ request.user.username }}
              {% endif %}
            {% endif %}
          </a>
          <div class="dropdown-menu dropdown-menu-right"
               aria-labelledby="navbarDropdown">
            <form method="post" action="{% url 'admin:logout' %}">
              {% csrf_token %}
              <button class="dropdown-item" type="submit">{% trans "Logout" %}</button>
            </form>
          </div>
        </li>
      </ul>
    </div>
  </div>
</nav>
